## mingw-w64-adios2-2.9.2-1.src.tar.zst

=== examples/basics/CMakeLists.txt ===
#------------------------------------------------------------------------------#
# Distributed under the OSI-approved Apache License, Version 2.0.  See
# accompanying file Copyright.txt for details.
#------------------------------------------------------------------------------#

add_subdirectory(globalArray)
add_subdirectory(joinedArray)
add_subdirectory(localArray)
add_subdirectory(values)
