=== thirdparty/EVPath/CMakeLists.txt ===
message_start_thirdparty()

set(BUILD_TESTING OFF)
set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_CMAKEDIR}/thirdparty")

set(EVPATH_LIBRARY_PREFIX adios2${ADIOS2_LIBRARY_SUFFIX}_ CACHE INTERNAL "")
set(EVPATH_QUIET ON CACHE INTERNAL "")
set(EVPATH_INSTALL_HEADERS OFF CACHE INTERNAL "")
set(EVPATH_INSTALL_MODULE_DIR "${CMAKE_INSTALL_LIBDIR}/adios2-evpath-modules-${ADIOS2_VERSION_MAJOR}_${ADIOS2_VERSION_MINOR}" CACHE INTERNAL "")
set(EVPATH_INSTALL_PKGCONFIG OFF CACHE INTERNAL "")
set(EVPATH_NO_RDMA ON CACHE INTERNAL "")
set(EVPATH_USE_UDT4 OFF CACHE INTERNAL "")
set(EVPATH_USE_NVML OFF CACHE INTERNAL "")
set(EVPATH_DEFAULT_PORT_RANGE "ANY" CACHE INTERNAL "")
set(EVPATH_RUNTIME_COMPONENT adios2_evpath-runtime)
set(EVPATH_LIBRARY_COMPONENT adios2_evpath-libraries)
set(EVPATH_ARCHIVE_COMPONENT adios2_evpath-development)
set(EVPATH_HEADER_COMPONENT adios2_evpath-development)

add_subdirectory(EVPath)
set(EVPath_DIR ${CMAKE_CURRENT_BINARY_DIR}/EVPath CACHE INTERNAL "")

message_end_thirdparty()
