=== thirdparty/ffs/CMakeLists.txt ===
message_start_thirdparty()

set(BUILD_TESTING OFF)
set(CMAKE_INSTALL_CMAKEDIR "${CMAKE_INSTALL_CMAKEDIR}/thirdparty")

set(FFS_USE_ATL ON CACHE INTERNAL "")
set(FFS_USE_DILL ON CACHE INTERNAL "")
set(FFS_LIBRARIES_ONLY ON CACHE INTERNAL "")
set(FFS_QUIET ON CACHE INTERNAL "")
set(FFS_LIBRARY_PREFIX adios2${ADIOS2_LIBRARY_SUFFIX}_ CACHE INTERNAL "")
set(FFS_INSTALL_HEADERS OFF CACHE INTERNAL "")
set(FFS_INSTALL_PKGCONFIG OFF CACHE INTERNAL "")
set(FFS_CONVERSION_GENERATION_DEFAULT OFF CACHE INTERNAL "")
set(FFS_RUNTIME_COMPONENT adios2_ffs-runtime)
set(FFS_LIBRARY_COMPONENT adios2_ffs-libraries)
set(FFS_ARCHIVE_COMPONENT adios2_ffs-development)
set(FFS_HEADER_COMPONENT adios2_ffs-development)

add_subdirectory(ffs)
set(ffs_DIR ${CMAKE_CURRENT_BINARY_DIR}/ffs CACHE INTERNAL "")

message_end_thirdparty()
