=== thirdparty/pugixml/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(pugixml)

message_end_thirdparty()
