=== thirdparty/yaml-cpp/CMakeLists.txt ===
message_start_thirdparty()

add_subdirectory(yaml-cpp)

message_end_thirdparty()
